<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="plantilla/template :: head">
  <meta charset="UTF-8">
  <title>Inicio</title>
</head>
<body>
<header th:replace="plantilla/template :: header"></header>

<div class="container">
    <h1 th:text="${titulo}"></h1>
</div>

<div class="container">
    <form class="d-flex">
        <div class="form-group" style="position:absolute; right:200px; ">
            <select field="*{estado}" name="estado" th:value="${estado}" class="form-control form-control-sm col-md-6" id="estado" required="true">
                <option>ESTADO</option>
                <option>APTO</option>
                <option>CONDICIONAL</option>
                <option>RECHAZADO</option>
            </select>
        </div>
        <button class="btn btn-outline-success" type="submit" style="position:absolute; right:100px;">Buscar</button>
    </form>

    <a class="btn btn-success btn-sm" th:href="@{/views/vehiculo/nuevo}" th:text="Nuevo"></a>
    <table class="table table-striped">
        <thead>
        <tr>
            <th scope="col">Patente</th>
            <th scope="col">Vencimiento</th>
            <th scope="col">Estado</th>
            <th scope="col">Marca</th>
            <th scope="col">Modelo</th>
            <th scope="col">Versión</th>
            <th scope="col">Nombre</th>
            <th scope="col">Apellido</th>
            <th scope="col">DNI</th>
            <th scope="col">Correo electrónico</th>
            <th scope="col">Teléfono</th>
            <th scope="col">Editar</th>
            <th scope="col">Inactivar</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="cl:${vehiculos}">
            <td th:text="${cl.patente}"></td>
            <td th:text="${cl.vto}"></td>
            <td th:text="${cl.estado}"></td>
            <td th:text="${cl.version.modelo.marca.descripcion}"></td>
            <td th:text="${cl.version.modelo.descripcion}"></td>
            <td th:text="${cl.version.descripcion}"></td>
            <td th:text="${cl.persona.nombre}"></td>
            <td th:text="${cl.persona.apellido}"></td>
            <td th:text="${cl.persona.dni}"></td>
            <td th:text="${cl.persona.correo}"></td>
            <td th:text="${cl.persona.telefono}"></td>
            <td>
                <a class="btn btn-warning btn-sm" th:href="@{/views/vehiculo/editar/} + ${cl.id}" th:text="Editar"></a>
            </td>
            <td>
                <a class="btn btn-danger btn-sm" th:href="@{/views/vehiculo/inactivar/} + ${cl.id}" th:text="Eliminar"
                   onclick="return confirm('Esta seguro de inactivarlo?');"
                ></a>
            </td>
        </tr>
        </tbody>
    </table>
</div>


<footer th:replace="plantilla/template :: footer"></footer>

</body>
</html>